/*
 *
 *           MULti Core Operating System - Tiny / Multilayer Kernel
 *                      Device driver header for RA8M1 ICU
 *
 *           Copyright (c) 2024 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name       drv_ra8m1_icu.h
 *
 *  Sep/02/2024     Created.
 *
 */

#ifndef _DRV_RA8M1_ICU_H_
#define _DRV_RA8M1_ICU_H_
#ifdef __cplusplus
extern "C" {
#endif

/* Bit definitions of Event flasg */

#define IELSR_DTCE            0x01000000u
#define IELSR_IR              0x00010000u


/* prototype */

ER_ID allocate_excp_id(ID event_no, UW attr);
ER_ID get_excp_id(ID event_no);
ER release_excp_id(ID excp_id);


#ifdef __cplusplus
}
#endif
#endif /* _DRV_RA8M1_ICU_H_ */
